View Bug Details

IDProjectCategoryView StatusLast Update
0001328DCP-o-matic[All Projects] Bugspublic2019-02-09 14:29
ReporteroverlookmotelAssigned Tocarl 
PriorityhighSeveritycrashReproducibilityhave not tried
Status assignedResolutionopen 
PlatformMacOSMac OSOS Version10.12.6
Product Version2.12.0 
Target VersionFixed in Version 
Summary0001328: Error when trying to make DCP from Quicktime + DCP where trim set on both
Description

I tried to make a DCP from 2 bits of content together:

  1. Quicktime ProRes file (25fps, 42s00f long)
  2. DCP (made by DCP-o-matic 2.12.6) (25fps, approx 1h30m long)

I set start trim on the ProRes to 00s01f.
I set start trim on the DCP to 41s24f.

To explain: I already made a DCP of this film, but now need to make amendments to the opening sequence. So am trying to insert the new opening sequence (ProRes) and copy rest of the frames from the 1st DCP. The reason for the 1 frame discrepancy between length of ProRes (42s00f) and trim on source DCP (41s24f) is that the first frame of the ProRes is blank and being trimmed off.

Making the DCP as 25fps. Container size is Flat (both in the source DCP and output DCP). So the frames from the source DCP are not being re-encoded.

I click "Make DCP" and after a while it stops with error:
"Error: Programming error at ../src/lib/reel_writer.cc:383 2 vs 138063"

I'm not sure at what point in the process the error came up as I set it going and then left it alone for a while. The error was there when I came back.

DCP-o-matic 2.12.6 on an iMac. No network encoding nodes.

TagsNo tags attached.
Estimated work requiredUnknown

Activities

overlookmotel

2018-06-25 16:18

reporter   ~0002488

Further observation:

I also tried to get around the problem by:

  • encoding the short ProRes to DCP (trimming off the first frame in the process)
  • creating a new DCP-o-matic project to join that DCP with the main DCP (same one as used above)
  • DCP 1 had no trim applied
  • DCP 2 had start trim set to 41s24f (as above)

I got the same error as above.
Error happened at the end of the "computing digests" stage.

It appears it either DOM does not like joining 2 DCPs together or (more likely) it doesn't like the trim start on 2nd source DCP.

overlookmotel

2018-06-25 18:45

reporter   ~0002489

Further update:

I finally succeeded by:

  • Creating DCP from DCP 2 only with start trim applied (i.e. creating new DCP with the opening sequence trimmed off the start) - call this DCP 3
  • Creating DCP from DCP 1 + DCP 3 with no trim on either source DCP

This did not produce an error.

I therefore conclude that what caused the error was: trying to create a DCP from 2 sources where trim is applied to the 2nd source and the 2nd source is a DCP. I have not tested to see if the same problem occurs if the 2nd source is a Quicktime file.

Sorry it's taken me 3 posts to properly pin down the problem!

carl

2018-07-09 18:31

administrator   ~0002523

Do you know what your reel mode setting ("reels" in the DCP tab) was?

overlookmotel

2018-07-10 15:56

reporter   ~0002527

Thanks for looking into this. Reel mode setting was "Single reel".

carl

2019-02-07 21:52

administrator   ~0003051

Could possibly be fixed by 3af7c0760164299e425a834b952846151109d137

carl

2019-02-08 21:31

administrator   ~0003059

If you get the chance, perhaps you could test this again once 2.14.0 is released, to see if it's still a problem.

overlookmotel

2019-02-09 14:29

reporter   ~0003062

Thanks Carl. Yes I will do when it's released.

Bug History

Date Modified Username Field Change
2018-06-25 16:03 overlookmotel New Bug
2018-06-25 16:18 overlookmotel Note Added: 0002488
2018-06-25 16:27 carl Target Version => 2.14.0
2018-06-25 18:45 overlookmotel Note Added: 0002489
2018-07-09 15:17 carl Priority normal => high
2018-07-09 18:31 carl Assigned To => carl
2018-07-09 18:31 carl Status new => feedback
2018-07-09 18:31 carl Note Added: 0002523
2018-07-10 15:56 overlookmotel Note Added: 0002527
2018-07-10 15:56 overlookmotel Status feedback => assigned
2019-02-07 21:52 carl Note Added: 0003051
2019-02-08 21:31 carl Status assigned => feedback
2019-02-08 21:31 carl Note Added: 0003059
2019-02-08 21:31 carl Target Version 2.14.0 =>
2019-02-09 14:29 overlookmotel Note Added: 0003062
2019-02-09 14:29 overlookmotel Status feedback => assigned